Skip to content

Saved images List

GET
/api/v1/images/saved-images/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/images/saved-images/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved image templates

Media typeapplication/json
object
code
integer
data
Array<object>
object
template_id
integer
is_windows
boolean
vm_info
Array<object>
object
image_type
string
os_distribution
string
name
string
image_id
string
distro
string
sku_type
string
image_state
string
running_vms
string
cloning_ops
string
image_size
string
creation_time
string format: date-time
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"template_id": 28894,
"is_windows": false,
"vm_info": [],
"image_type": "E2E Image",
"os_distribution": "DEL-TestingnnooDE_1726058019",
"name": "TestingnnooDE_1726058019_1726058019",
"image_id": "24440",
"distro": "CentOS-Stream",
"sku_type": "C3VPS",
"image_state": "Ready",
"running_vms": "0",
"cloning_ops": "0",
"image_size": "95.368 GB",
"creation_time": "11-09-2024 18:03:37"
}
],
"message": "Success"
}